## fasttracker2 1.09

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(ft2-clone)

find_package(SDL2 REQUIRED)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${ft2-clone_SOURCE_DIR}/release/other/")


file(GLOB ft2-clone_SRC
    "${ft2-clone_SOURCE_DIR}/src/rtmidi/*.cpp"
    "${ft2-clone_SOURCE_DIR}/src/*.c"
    "${ft2-clone_SOURCE_DIR}/src/gfxdata/*.c"   
)


add_executable(ft2-clone ${ft2-clone_SRC})

target_include_directories(ft2-clone SYSTEM
    PRIVATE ${SDL2_INCLUDE_DIRS})

target_link_libraries(ft2-clone 
    PRIVATE m asound pthread ${SDL2_LIBRARIES})
target_compile_definitions(ft2-clone PRIVATE __LINUX_ALSA__)


install(TARGETS ft2-clone
        RUNTIME DESTINATION bin )

## fasttracker2 0.1+b132

=== debian/changelog ===
fasttracker2 (0.1+b132-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 31 Jan 2019 13:28:10 +0100

fasttracker2 (0.1+b130-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Jan 2019 15:18:37 +0100

fasttracker2 (0.1+b126-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: add to Multimedia Team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 30 Dec 2018 13:34:21 +0100

fasttracker2 (0.1+b125-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: don't build on some archs. (Closes: #914981)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Dec 2018 17:02:49 +0100

fasttracker2 (0.1+b120-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 07 Dec 2018 09:20:51 +0100

fasttracker2 (0.1+b115-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 16 Nov 2018 13:55:39 +0100

fasttracker2 (0.1+b109-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 12 Oct 2018 16:39:50 +0200

fasttracker2 (0.1+b104-1) experimental; urgency=medium

  * New upstream version.
  * debian/control:
    - don't list architectures. (Closes: #909199)
      reason to have it expanded was, i386 would not build without -msse2
  * debian/copyright: remove double entry (rtmidi).

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Sep 2018 10:19:46 +0200

fasttracker2 (0.1+b96-1) experimental; urgency=medium

  * Initial release. (Closes: #907560)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 11 Sep 2018 22:27:10 +0200

=== debian/control ===
Source: fasttracker2
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtmidi-dev, librtaudio-dev, libsdl2-dev
XS-Autobuild: yes
Standards-Version: 4.2.1
Homepage: https://16-bits.org/ft2.php

Package: fasttracker2
Architecture: amd64 arm64 armel armhf mips mips64el mipsel ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: protracker, hivelytracker, cheesecutter, bambootracker, schism, modplug-tools
Description: Fasttracker II clone
 Multi-platform clone of the classic music making software
 FastTracker II.

## fasttracker2 0.1+b137

=== debian/changelog ===
fasttracker2 (0.1+b137-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 15 Feb 2019 08:21:19 +0100

fasttracker2 (0.1+b134-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 16:32:36 +0100

## fasttracker2 0.1+b144

=== debian/changelog ===
fasttracker2 (0.1+b144-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 30 Mar 2019 13:48:39 +0100

fasttracker2 (0.1+b142-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 20 Mar 2019 08:05:41 +0100

fasttracker2 (0.1+b140-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Mar 2019 07:59:54 +0100

fasttracker2 (0.1+b139-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 07 Mar 2019 05:58:08 +0100

## fasttracker2 1.00

=== debian/changelog ===
fasttracker2 (1.00-1) unstable; urgency=medium

  * New upstream version. (Closes: #922026)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Oct 2019 09:32:45 +0200

fasttracker2 (0.1+b168-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Sep 2019 11:44:12 +0200

fasttracker2 (0.1+b166-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 16:45:34 +0200

fasttracker2 (0.1+b164-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: build on any architecture.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 17:10:52 +0200

fasttracker2 (0.1+b163-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 29 Jul 2019 17:49:58 +0200

fasttracker2 (0.1+b161-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 04 Jul 2019 22:09:11 +0200

fasttracker2 (0.1+b156-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 May 2019 12:21:42 +0200

fasttracker2 (0.1+b146-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.3.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Apr 2019 14:05:28 +0200

=== debian/control ===
Source: fasttracker2
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtmidi-dev, librtaudio-dev, libsdl2-dev
XS-Autobuild: yes
Standards-Version: 4.4.0
Homepage: https://16-bits.org/ft2.php

Package: fasttracker2
Architecture: any
# 16:08 <@_8bitbubsy> both clones should compile for 32-bit i386 on linux now
# amd64 arm64 armel armhf mips mips64el mipsel ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: protracker, hivelytracker, cheesecutter, bambootracker, schism, modplug-tools
Description: Fasttracker II clone
 Multi-platform clone of the classic music making software
 FastTracker II. It can load XM, MOD, S3M, STM module files.

## fasttracker2 1.07

=== debian/changelog ===
fasttracker2 (1.07-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 10:04:42 +0100

fasttracker2 (1.06-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 15 Jan 2020 13:52:03 +0100

fasttracker2 (1.05-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 03 Jan 2020 08:19:34 +0100

fasttracker2 (1.04-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update copyright years, new source url.
  * d/watch: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 20 Dec 2019 09:23:20 +0100

fasttracker2 (1.03-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 Nov 2019 13:27:31 +0100

fasttracker2 (1.02-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 11:05:29 +0100

=== debian/control ===
Source: fasttracker2
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtmidi-dev, librtaudio-dev, libsdl2-dev
XS-Autobuild: yes
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/fasttracker2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/fasttracker2
Homepage: https://16-bits.org/ft2.php

Package: fasttracker2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: opencubicplayer, modplug-tools
Suggests: protracker, hivelytracker, cheesecutter, bambootracker, schism
Description: Fasttracker II clone
 Multi-platform clone of the classic music making software
 FastTracker II. It can load XM, MOD, S3M, STM module files.

## fasttracker2 1.09

=== debian/changelog ===
fasttracker2 (1.09-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 13 Feb 2020 10:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), librtmidi-dev, librtaudio-dev, libsdl2-dev
 XS-Autobuild: yes
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/fasttracker2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fasttracker2
 Homepage: https://16-bits.org/ft2.php

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#ifeq ($(DEB_HOST_ARCH_CPU),i386)
#export FIX_386 = -msse
#endif

%:
	dh $@

override_dh_auto_configure:
	@echo skip cmake

override_dh_auto_build:
	gcc $(FIX_386) -g -D__LINUX_ALSA__ src/rtmidi/*.cpp src/gfxdata/*.c src/*.c -I/usr/include/SDL2 -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wall -Wno-implicit-fallthrough -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunused -Wunreachable-code -Wmissing-field-initializers -Wswitch-default -O3 -o release/other/fasttracker2

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/8bitbubsy/ft2-clone/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fasttracker2 1.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(ft2-clone)

find_package(SDL2 REQUIRED)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${ft2-clone_SOURCE_DIR}/release/other/")

file(GLOB ft2-clone_SRC
    "${ft2-clone_SOURCE_DIR}/src/rtmidi/*.cpp"
    "${ft2-clone_SOURCE_DIR}/src/*.c"
    "${ft2-clone_SOURCE_DIR}/src/gfxdata/*.c"
)

add_executable(ft2-clone ${ft2-clone_SRC})

target_include_directories(ft2-clone SYSTEM
    PRIVATE ${SDL2_INCLUDE_DIRS})

if("${SDL2_LIBRARIES}" STREQUAL "")
    message(WARNING "SDL2_LIBRARIES wasn't set, manually setting to SDL2::SDL2")
    set(SDL2_LIBRARIES "SDL2::SDL2")
endif()

target_link_libraries(ft2-clone
    PRIVATE m asound pthread ${SDL2_LIBRARIES})
target_compile_definitions(ft2-clone PRIVATE __LINUX_ALSA__)

install(TARGETS ft2-clone
    RUNTIME DESTINATION bin )

=== debian/changelog ===
fasttracker2 (1.24-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 24 May 2020 16:06:02 +0200

fasttracker2 (1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Apr 2020 10:59:31 +0200

fasttracker2 (1.19-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 12 Apr 2020 15:28:36 +0200

fasttracker2 (1.15-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 01 Apr 2020 11:37:14 +0200

fasttracker2 (1.14-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 23 Mar 2020 14:47:38 +0100

fasttracker2 (1.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Mar 2020 16:43:52 +0100

## fasttracker2 1.41+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     "${ft2-clone_SOURCE_DIR}/src/rtmidi/*.cpp"
     "${ft2-clone_SOURCE_DIR}/src/*.c"
     "${ft2-clone_SOURCE_DIR}/src/gfxdata/*.c"
+    "${ft2-clone_SOURCE_DIR}/src/mixer/*.c"
 )
 
 add_executable(ft2-clone ${ft2-clone_SRC})

=== debian/changelog ===
fasttracker2 (1.41+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - set Upstream-Contact, fix Upstream-Name.
    - update years.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Dec 2020 17:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), librtmidi-dev, librtaudio-dev, libsdl2-dev
+Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
 XS-Autobuild: yes
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/fasttracker2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fasttracker2
 Homepage: https://16-bits.org/ft2.php

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,5 @@
 	@echo skip cmake
 
 override_dh_auto_build:
-	gcc $(FIX_386) -g -D__LINUX_ALSA__ src/rtmidi/*.cpp src/gfxdata/*.c src/*.c -I/usr/include/SDL2 -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wall -Wno-implicit-fallthrough -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunused -Wunreachable-code -Wmissing-field-initializers -Wswitch-default -O3 -o release/other/fasttracker2
+	gcc $(FIX_386) -g -DNDEBUG -DHAS_MIDI -D__LINUX_ALSA__ src/rtmidi/*.cpp src/gfxdata/*.c src/mixer/*.c src/*.c -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wno-missing-field-initializers -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunreachable-code -Wswitch-default -o release/other/fasttracker2
+#	gcc $(FIX_386) -g -D__LINUX_ALSA__ src/rtmidi/*.cpp src/gfxdata/*.c src/*.c -I/usr/include/SDL2 -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wall -Wno-implicit-fallthrough -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunused -Wunreachable-code -Wmissing-field-initializers -Wswitch-default -O3 -o release/other/fasttracker2
